Skip to main content
`Ctrl`+`K`

# DMCompositeGetAccess

Allows one to access the individual packed vectors in their global representation.

## Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode DMCompositeGetAccess(DM dm, Vec gvec, ...)

Collective

## Input Parameters

- dm - the `DMCOMPOSITE` object

- gvec - the global vector

## Output Parameter

- … - the packed parallel vectors, `NULL` for those that are not needed

## Note

Use `DMCompositeRestoreAccess()` to return the vectors when you no longer need them

## Fortran Notes

Fortran callers must use numbered versions of this routine, e.g., DMCompositeGetAccess4(dm,gvec,vec1,vec2,vec3,vec4) or use the alternative interface `DMCompositeGetAccessArray()`.

## See Also

`DMCOMPOSITE`, `DM`, `DMCompositeGetEntries()`, `DMCompositeScatter()`

## Level

advanced

## Location

src/dm/impls/composite/pack.c

## Examples

src/snes/tutorials/ex21.c
src/ts/tutorials/ex14.c
src/snes/tutorials/ex22.c
src/snes/tutorials/ex28.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages